%define name soundtracker
%define version 0.6.2
%define release 1mdk

Summary: Sound modules editor/player
Name: %{name}
Version: %{version}
Release: %{release}
Group: Sound
Copyright: GPL
Url: http://www.soundtracker.org/
Source: ftp://ftp.soundtracker.org/pub/soundtracker/v0.5/soundtracker-%{version}.tar.bz2
Patch0: soundtracker-remove-chown.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Soundtracker is a module tracker for the X Window System similar to the DOS
program `FastTracker'. Soundtracker is based on the XM file format. The user
interface makes use of GTK+, and, optionally, GNOME.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%patch0 -p0

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %{name}

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/soundtracker"\
title="Soundtracker"\
longtitle="A module tracker"\
needs="x11"\
section="Multimedia/Sound"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus}


#%clean
#rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc ABOUT-NLS FAQ NEWS TODO README ChangeLog
%{_bindir}/soundtracker
%{_menudir}/*
%_datadir/gnome/apps/Multimedia/soundtracker.desktop
%lang(de) %_datadir/locale/de/LC_MESSAGES/soundtracker.mo
%lang(es) %_datadir/locale/es/LC_MESSAGES/soundtracker.mo
%lang(fr) %_datadir/locale/fr/LC_MESSAGES/soundtracker.mo
%lang(it) %_datadir/locale/it/LC_MESSAGES/soundtracker.mo
%lang(ja) %_datadir/locale/ja/LC_MESSAGES/soundtracker.mo
%lang(pl) %_datadir/locale/pl/LC_MESSAGES/soundtracker.mo
%lang(ru) %_datadir/locale/ru/LC_MESSAGES/soundtracker.mo
%lang(sl) %_datadir/locale/sl/LC_MESSAGES/soundtracker.mo

%changelog
* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- updated to 0.6.2
- fix files section

* Mon Sep 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.7-2mdk
- menu

* Tue Aug 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.7-1mdk
- 0.5.7

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- bz2 archive
